Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.core.sourcelookup.containers
Class FolderSourceContainer

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer
              org.eclipse.debug.core.sourcelookup.containers.CompositeSourceContainer
                  org.eclipse.debug.internal.core.sourcelookup.containers.ContainerSourceContainer
                      org.eclipse.debug.core.sourcelookup.containers.FolderSourceContainer

All Implemented Interfaces:
  IAdaptable, ISourceContainer

public class FolderSourceContainer
extends org.eclipse.debug.internal.core.sourcelookup.containers.ContainerSourceContainer

A folder in the workspace.

Clients may instantiate this class. This class is not intended to be subclassed.

Since:
  3.0

Field Summary
`static String` | `TYPE_ID` Unique identifier for the folder source container type (value `org.eclipse.debug.core.containerType.folder`).

Fields inherited from class org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer
`EMPTY`

Constructor Summary
`FolderSourceContainer(IContainer folder, boolean subfolders)` Constructs a source container on the given folder.

Method Summary
`ISourceContainerType` | `getType()` Returns this container's type.

Methods inherited from class org.eclipse.debug.internal.core.sourcelookup.containers.ContainerSourceContainer
`createSourceContainers, equals, findSourceElements, getContainer, getName, hashCode, isComposite`

Methods inherited from class org.eclipse.debug.core.sourcelookup.containers.CompositeSourceContainer
`dispose, findSourceElements, getSourceContainers`

Methods inherited from class org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer
`abort, getDirector, getSourceContainerType, init, isFindDuplicates`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### TYPE_ID

    public static final String TYPE_ID

  Unique identifier for the folder source container type (value `org.eclipse.debug.core.containerType.folder`).

Constructor Detail

### FolderSourceContainer

    public FolderSourceContainer(IContainer folder,
                                 boolean subfolders)

  Constructs a source container on the given folder.

Parameters:
  `folder` - the folder to search for source in
  `subfolders` - whether to search nested folders

Method Detail

### getType

    public ISourceContainerType getType()

  Description copied from interface: `ISourceContainer`
  Returns this container's type.

  Returns:
    this container's type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.